package com.covas.Json;

import io.quarkus.runtime.annotations.RegisterForReflection;

@RegisterForReflection
public class Message {

    public String name;
    public Boolean status;
    public String message;

    public Message(){
        name = "";
        status = true;
        message = "";
    }

    public Message(String name){
        this.name = name;
        status = true;
        message = "";
    }

   

    public Message(String name, String message){
        this.name = name;
        this.message = message;
        status = true;
    }

    public Message(String name, Boolean status, String message){
        this.name = name;
        this.status = status;
        this.message = message;
    }
    
}
