package com.covas.Resources;

import javax.ws.rs.Consumes;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.Response;

import com.covas.Entity.UsersEntity;


@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
@Path("/api")
public class UsersRessources {

    @GET
    @Path("users")
    public Response getUsers(){
        return Response.ok(UsersEntity.listAll()).build();
    }

    @GET
    @Path("user/{id}")
    public Response getSingleUser(Long id){
        UsersEntity users = UsersEntity.findById(id);
        if(users == null){
            return Response.status(Response.Status.NOT_FOUND).build();
        }
        return Response.ok(users).build();
    }

    
}
